Name:		qt-creator
Version:	1.3.1
Release:	%mkrel 3
License:	LGPLv2+ and MIT
Summary:	Qt Creator is a lightweight, cross-platform integrated development environment (IDE)
Group:		Development/KDE and Qt
URL:		http://www.qtsoftware.com/developer/qt-creator
Source0:	http://download.qtsoftware.com/qtcreator/%name-%version-src.zip
Source1:	nokia-qtcreator-icons.tar.bz2
Source2:	Nokia-QtCreator.xml
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	qt4-devel >= 2:4.5.0
BuildRequires:	qt4-qdoc3
BuildRequires:	qt4-assistant
BuildRequires:	automoc4
Suggests:	qt4-designer
Suggests:	qt4-assistant
Suggests:	qt4-devel
Suggests:	qt-creator-doc

%description
Qt Creator (previously known as Project Greenhouse) is a new, lightweight, cross-platform integrated 
development environment (IDE) designed to make development with the Qt application framework even faster and easier.

%files
%defattr(-,root,root,-)
%doc README
%_bindir/qtcreator
%_libdir/qtcreator
%exclude %{_libdir}/qtcreator/share/doc/qtcreator/qtcreator.qch
%_datadir/icons/*/*/*/Nokia-QtCreator.png
%_datadir/mime/application/*
%_datadir/applications/qtcreator.desktop

#------------------------------------------------------------------------------

%package doc
Summary: Qt Creator documentation
Group: Development/KDE and Qt
Suggests: qt4-doc

%description doc
Qt Creator documentation.

%files doc
%defattr(-,root,root,-)
%{_libdir}/qtcreator/share/doc/qtcreator/qtcreator.qch

#------------------------------------------------------------------------------

%prep
%setup -qn %{name}-%{version}-src

%build
export QTDIR=%{qt4dir}
export SRC=${PWD}
mkdir -p build
pushd build
	%qmake_qt4 ${SRC}/qtcreator.pro
	%make
popd

%install
rm -rf %{buildroot}

# install the docs
pushd build
	make INSTALL_ROOT=%{buildroot} install_qch_docs
popd

mkdir -p %{buildroot}/%{_libdir}
cp -a build %{buildroot}/%{_libdir}/qtcreator
cd %{buildroot}/%{_libdir}/qtcreator
find . -name Makefile -exec rm -f {} \;
rm -rf src
rm -fr doc

# this .qch file is a duplicate, file is already installed
rm -fr %{buildroot}/share/doc/qtcreator/qtcreator.qch

tar xfj %{SOURCE1}
for size in 16 32 48 64 128; do
	mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/${size}x${size}/apps
	mv Nokia-QtCreator-${size}.png %{buildroot}/%{_datadir}/icons/hicolor/${size}x${size}/apps/Nokia-QtCreator.png
done

mkdir -p %{buildroot}/%{_datadir}/mime/application
install -m 0644 %{SOURCE2} %{buildroot}/%{_datadir}/mime/application

#symlink the executable in %_bindir
mkdir -p %{buildroot}/%{_bindir}
ln -s %{_libdir}/qtcreator/bin/qtcreator %{buildroot}/%{_bindir}/qtcreator

mkdir -p %{buildroot}/%{_datadir}/applications

cat > %{buildroot}/%{_datadir}/applications/qtcreator.desktop << EOF
[Desktop Entry]
Type=Application
Exec=%_libdir/qtcreator/bin/qtcreator
Path=%_libdir/qtcreator
Name=Qt Creator
GenericName=C++ IDE for developing Qt applications
X-KDE-StartupNotify=true
Icon=Nokia-QtCreator
Terminal=false
Categories=Development;IDE;Qt;
MimeType=text/x-c++src;text/x-c++hdr;text/x-xsrc;application/x-designer;application/vnd.nokia.qt.qmakeprofile;application/vnd.nokia.xml.qt.resource;
InitialPreference=9

EOF

%clean
rm -rf %{buildroot}


%changelog
* Fri Jan 29 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.3.1-3mdv2010.1
+ Revision: 497889
- fix typo in .desktop file

* Thu Jan 28 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.3.1-2mdv2010.1
+ Revision: 497513
- fix installing docs
- split docs in a separate package
- oboslete old -doc-1.2.1 package, docs are now in main package
- clean spec
- make .desktop file compliant with xdg specs
- install the docs, and symlink the excutable to %%_bindir (bug 57185)

* Tue Jan 19 2010 Funda Wang <fwang@mandriva.org> 1.3.1-1mdv2010.1
+ Revision: 493632
- new version 1.3.1

* Mon Jan 18 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.3.0-2mdv2010.1
+ Revision: 493106
- Fix missing icon issue under not KDE

* Tue Dec 01 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.3.0-1mdv2010.1
+ Revision: 472225
- Update to version 1.3.0 final

* Wed Nov 18 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.3.0-0.rc1.1mdv2010.1
+ Revision: 467207
- Update to 1.3.0 Rc1

* Tue Nov 17 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.3.0-0.beta1.4mdv2010.1
+ Revision: 466820
- Fix mime emplacement

* Tue Nov 17 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.3.0-0.beta1.3mdv2010.1
+ Revision: 466798
- Fix Exec menu entry

* Tue Nov 10 2009 Helio Chissini de Castro <helio@mandriva.com> 1.3.0-0.beta1.2mdv2010.1
+ Revision: 464135
- As requested by Neoclust adding trunk post beta1

* Tue Sep 29 2009 Helio Chissini de Castro <helio@mandriva.com> 1.2.1-2mdv2010.0
+ Revision: 451025
- Fixing stub binary place as demanded as fast as possible by research and development team.

* Tue Jul 14 2009 Helio Chissini de Castro <helio@mandriva.com> 1.2.1-1mdv2010.0
+ Revision: 396006
- New upstream bugfix release 1.2.1

* Sat Jul 04 2009 Helio Chissini de Castro <helio@mandriva.com> 1.2.0-1mdv2010.0
+ Revision: 392362
- New upstream version

* Wed Apr 29 2009 Helio Chissini de Castro <helio@mandriva.com> 1.1.0-1mdv2010.0
+ Revision: 369145
- Update release 1.1.0 with cmake patch updated as well

* Mon Mar 16 2009 Helio Chissini de Castro <helio@mandriva.com> 1.0.0-4mdv2009.1
+ Revision: 355923
- Fixed doc package creation

* Wed Mar 11 2009 Funda Wang <fwang@mandriva.org> 1.0.0-3mdv2009.1
+ Revision: 353617
- add proper categories

* Mon Mar 09 2009 Helio Chissini de Castro <helio@mandriva.com> 1.0.0-2mdv2009.1
+ Revision: 353237
- This is the first package with the new changes introduced by Mandriva to make a suitable distro compliant
  buildsystem, to list some of the changes:
- Cmake buildsystem replacement fully working, allowing a good 32 bits / 64 bits separation
- Designer plugin fully working
- Added missing icons and mimes, taken from upstream binary package
- Added global mime
- Added desktop file and icons
- Finished initial cmake port build to allow 64 / 32 bits. Still under
  development since some plugins aren't properly registering

* Tue Mar 03 2009 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2009.1
+ Revision: 347862
- New version 1.0.0

* Mon Feb 16 2009 Helio Chissini de Castro <helio@mandriva.com> 0.9.2-1mdv2009.1
+ Revision: 341074
- import qt-creator


